# [BETA] List VPC public IPs

```http
GET /compute/v1/tenants/{tenantId}/vpc/{vpcId}/public-addresses
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `ListVPCPublicIps`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:public_ips`

Returns a list of public IPs associated with a VPC

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `vpcId` (string, required) — VPC ID

### Query parameters

- `unassignedOnly` (integer) — Filter by unassigned only (1 for true)
- `page` (integer, default: `1`) — Page number
- `pageSize` (integer, default: `20`) — Page size

## Responses

### 200 — OK

Content type: `application/json`

- `items` (array of object)
  - items (object)
    - `id` (string)
    - `ipAddress` (string)
    - `networkName` (string)
    - `vmName` (string)
- `page` (integer)
- `pageSize` (integer)
- `totalCount` (integer)

### 403 — Compute is suspended for this tenant

Content type: `application/json`

- `message` (string)
